# Interface AccessWatchpointEvent

All Superinterfaces:
  `Event, Locatable, LocatableEvent, Mirror, WatchpointEvent`

public interface AccessWatchpointEvent extends WatchpointEvent
Notification of a field access in the target VM. Field modifications are not considered field accesses.

Since:
  1.3
See Also:
  - `EventQueue`
  - `VirtualMachine`

## Method Summary

### Methods declared in interface Event

`request`
Modifier and Type
Method
Description
`EventRequest`
`request()`

### Methods declared in interface Locatable

`location`
Modifier and Type
Method
Description
`Location`
`location()`
Returns the `Location` of this mirror, if there is executable code associated with it.

### Methods declared in interface LocatableEvent

`thread`
Modifier and Type
Method
Description
`ThreadReference`
`thread()`
Returns the thread in which this event has occurred.

### Methods declared in interface Mirror

`toString, virtualMachine`
Modifier and Type
Method
Description
`String`
`toString()`
Returns a String describing this mirror
`VirtualMachine`
`virtualMachine()`
Gets the VirtualMachine to which this Mirror belongs.

### Methods declared in interface WatchpointEvent

`field, object, valueCurrent`
Modifier and Type
Method
Description
`Field`
`field()`
Returns the field that is about to be accessed/modified.
`ObjectReference`
`object()`
Returns the object whose field is about to be accessed/modified.
`Value`
`valueCurrent()`
Current value of the field.